petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMMoabGetMaterialBlock

Get the material ID corresponding to the current entity of the DM Mesh

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetMaterialBlock(DM dm,const moab::EntityHandle ehandle, PetscInt *mat)

Collective on MPI_Comm Many br

### Input Parameter

dm - The DMMoab object Many br
ehandle - The element entity handle Many br

### Output Parameter

mat - The material ID for the current entity Many br

Many br

### Keywords

DMMoab, create

Level:beginner
Location:src/dm/impls/moab/dmmoab.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages